Class | Fog::Identity::OpenStack::Real
In: | lib/fog/openstack/requests/identity/delete_ec2_credential.rb lib/fog/openstack/requests/identity/check_token.rb lib/fog/openstack/requests/identity/create_role.rb lib/fog/openstack/requests/identity/delete_role.rb lib/fog/openstack/requests/identity/get_ec2_credential.rb lib/fog/openstack/requests/identity/list_ec2_credentials.rb lib/fog/openstack/requests/identity/list_users.rb lib/fog/openstack/requests/identity/delete_user_role.rb lib/fog/openstack/requests/identity/list_tenants.rb lib/fog/openstack/requests/identity/get_user_by_id.rb lib/fog/openstack/requests/identity/create_tenant.rb lib/fog/openstack/requests/identity/set_tenant.rb lib/fog/openstack/requests/identity/create_ec2_credential.rb lib/fog/openstack/requests/identity/get_role.rb lib/fog/openstack/requests/identity/get_tenants_by_name.rb lib/fog/openstack/requests/identity/create_user.rb lib/fog/openstack/requests/identity/delete_tenant.rb lib/fog/openstack/requests/identity/update_user.rb lib/fog/openstack/requests/identity/delete_user.rb lib/fog/openstack/requests/identity/list_user_global_roles.rb lib/fog/openstack/requests/identity/validate_token.rb lib/fog/openstack/requests/identity/get_user_by_name.rb lib/fog/openstack/requests/identity/list_endpoints_for_token.rb lib/fog/openstack/requests/identity/get_tenants_by_id.rb lib/fog/openstack/requests/identity/create_user_role.rb lib/fog/openstack/requests/identity/list_roles_for_user_on_tenant.rb lib/fog/openstack/requests/identity/update_tenant.rb lib/fog/openstack/requests/identity/get_tenant.rb lib/fog/openstack/requests/identity/list_roles.rb lib/fog/openstack/requests/identity/remove_user_from_tenant.rb lib/fog/openstack/requests/identity/add_user_to_tenant.rb lib/fog/openstack/identity.rb
Parent: | Object

### Methods

add_user_to_tenant check_token create_ec2_credential create_role create_tenant create_user create_user_role credentials delete_ec2_credential delete_role delete_tenant delete_user delete_user_role get_ec2_credential get_role get_tenant get_tenants_by_id get_tenants_by_name get_user_by_id get_user_by_name list_ec2_credentials list_endpoints_for_token list_roles list_roles_for_user_on_tenant list_tenants list_user_global_roles list_users new reload remove_user_from_tenant request set_tenant update_tenant update_user validate_token

### Attributes

current_tenant | [R] |
current_user | [R] |
unscoped_token | [R] |

### Public Class methods

new(options={})

### Public Instance methods

add_user_to_tenant(tenant_id, user_id, role_id)
check_token(token_id, tenant_id)
create_ec2_credential(user_id, tenant_id)

Create an EC2 credential for a user in a tenant. Requires administrator credentials.

#### Parameters

- user_id<~String>: The id of the user to create an EC2 credential for
- tenant_id<~String>: The id of the tenant to create the credential in

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘credential’<~Hash>: Created EC2 credential
      - ‘access’<~String>: The access key
      - ‘secret’<~String>: The secret key
      - ‘user_id’<~String>: The user id
      - ‘tenant_id’<~String>: The tenant id

create_role(name)
create_tenant(attributes)
create_user(name, password, email, tenantId=nil, enabled=true)
create_user_role(tenant_id, user_id, role_id)
credentials()
delete_ec2_credential(user_id, access)

Destroy an EC2 credential for a user. Requires administrator credentials.

#### Parameters

- user_id<~String>: The id of the user to delete the credential for
- access<~String>: The access key of the credential to destroy

#### Returns

- response<~Excon::Response>:
  - body<~String>: Empty string

delete_role(role_id)
delete_tenant(id)
delete_user(user_id)
delete_user_role(tenant_id, user_id, role_id)
get_ec2_credential(user_id, access)

Retrieves an EC2 credential for a user. Requires administrator credentials.

#### Parameters

- user_id<~String>: The id of the user to retrieve the credential for
- access<~String>: The access key of the credential to retrieve

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘credential’<~Hash>: The EC2 credential
      - ‘access’<~String>: The access key
      - ‘secret’<~String>: The secret key
      - ‘user_id’<~String>: The user id
      - ‘tenant_id’<~String>: The tenant id

get_role(id)
get_tenant(id)
get_tenants_by_id(tenant_id)
get_tenants_by_name(name)
get_user_by_id(user_id)
get_user_by_name(name)
list_ec2_credentials(user_id)

List EC2 credentials for a user. Requires administrator credentials.

#### Parameters

- user_id<~String>: The id of the user to retrieve the credential for

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘credentials’<~Array>: The user‘s EC2 credentials
      - ‘access’<~String>: The access key
      - ‘secret’<~String>: The secret key
      - ‘user_id’<~String>: The user id
      - ‘tenant_id’<~String>: The tenant id

list_endpoints_for_token(token_id)
list_roles()
list_roles_for_user_on_tenant(tenant_id, user_id)
list_tenants(limit = nil, marker = nil)
list_user_global_roles(user_id)
list_users(tenant_id = nil)
reload()
remove_user_from_tenant(tenant_id, user_id, role_id)
request(params)
set_tenant(tenant)
update_tenant(id, attributes)
update_user(user_id, options = {})
validate_token(token_id, tenant_id)

[Validate]